import type { _MLCLayer } from "./MLCLayer.js";
export declare class _MLCSelectionLayer extends _MLCLayer {
    static alloc(): _MLCSelectionLayer;
    static new(): _MLCSelectionLayer;
    init(): _MLCSelectionLayer;
    /**
     * @abstract Create a select layer @return A new layer for selecting elements between two tensors.
     */
    static layer(): _MLCSelectionLayer;
}
